Skip to content

Webhooks overview

Manage webhook endpoints and inspect events and delivery attempts.


Manage webhook endpoints and inspect events and delivery attempts.

Endpoint Operation
GET /v1/event-types List event types
GET /v1/events List events
GET /v1/events/{id} Get an event
GET /v1/webhook-deliveries List webhook deliveries
GET /v1/webhook-deliveries/{id} Get a webhook delivery
POST /v1/webhook-deliveries/{id}/resend Resend a webhook delivery
GET /v1/webhook-endpoints List webhook endpoints
POST /v1/webhook-endpoints Create a webhook endpoint
GET /v1/webhook-endpoints/{id} Get a webhook endpoint
PATCH /v1/webhook-endpoints/{id} Update a webhook endpoint
DELETE /v1/webhook-endpoints/{id} Delete a webhook endpoint
POST /v1/webhook-endpoints/{id}/rotate-secret Rotate an endpoint secret
POST /v1/webhook-endpoints/{id}/test Send a test event